%define module  pam

# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

Name: 		python-%{module}
Version: 	2.0.2
Release: 	%mkrel 3
Summary:        Python bindings for PAM
License:        GPL
Group:          Development/Python
URL:            https://github.com/FirefighterBlu3/python-pam
Source0:        https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
This module provides an authenticate function that allows the caller to
authenticate a given username / password against the PAM system on Linux.

%package -n python3-%{module}
Summary:        Python bindings for PAM
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
This module provides an authenticate function that allows the caller to
authenticate a given username / password against the PAM system on Linux.

%prep
%autosetup

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pam

%files -n python3-%{module} -f %{pyproject_files}




%changelog
* Sat Mar 01 2025 wally <wally> 2.0.2-3.mga10
+ Revision: 2155518
- rebuild for python3.13

* Fri Dec 22 2023 tv <tv> 2.0.2-2.mga10
+ Revision: 2020854
- Rebuild for python 3.12

* Wed Sep 07 2022 neoclust <neoclust> 2.0.2-1.mga9
+ Revision: 1885110
- New version  	2.0.2

* Wed Mar 23 2022 umeabot <umeabot> 1.8.4-7.mga9
+ Revision: 1822402
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 1.8.4-6.mga9
+ Revision: 1773615
- Rebuild for python-3.10

* Tue Mar 16 2021 tmb <tmb> 1.8.4-5.mga9
+ Revision: 1703897
- rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 1.8.4-4.mga8
+ Revision: 1539601
- Mageia 8 Mass Rebuild

* Mon Dec 09 2019 daviddavid <daviddavid> 1.8.4-3.mga8
+ Revision: 1465366
- fix python provides

* Fri Sep 13 2019 tv <tv> 1.8.4-2.mga8
+ Revision: 1440417
- rebuild for python-3.8
- drop python2 subpkg

* Sun Mar 17 2019 daviddavid <daviddavid> 1.8.4-1.mga7
+ Revision: 1378212
- new version: 1.8.4

* Mon Jan 07 2019 tmb <tmb> 1.8.2-3.mga7
+ Revision: 1350298
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.8.2-2.mga7
+ Revision: 1289510
- Mageia 7 Mass Rebuild

* Sun Apr 29 2018 joequant <joequant> 1.8.2-1.mga7
+ Revision: 1223398
- update to new python-pam at 1.8.2

* Wed Mar 21 2018 kekepower <kekepower> 0.5.0-16.mga7
+ Revision: 1210930
- Renamed python-pam to python2-pam
- Use new py2 macros

* Fri Jan 29 2016 umeabot <umeabot> 0.5.0-15.mga6
+ Revision: 928831
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-14.mga5
+ Revision: 747226
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.0-13.mga5
+ Revision: 729285
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-12.mga5
+ Revision: 688199
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Mon Oct 28 2013 philippem <philippem> 0.5.0-10.mga4
+ Revision: 547713
- sync with Fedora to fix memory leaks

* Tue Oct 22 2013 umeabot <umeabot> 0.5.0-9.mga4
+ Revision: 543877
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5.0-8.mga4
+ Revision: 499044
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Feb 22 2013 kharec <kharec> 0.5.0-7.mga3
+ Revision: 399826
- add a patch wrongly removed

* Fri Feb 22 2013 kharec <kharec> 0.5.0-6.mga3
+ Revision: 399818
- add two patches to fix build
+ dmorgan <dmorgan>
- Add fedora patch to fix dealloc
- imported package python-pam


* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 0.5.0-6mdv2011.0
+ Revision: 590055
- rebuild for python 2.7

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.5.0-5mdv2010.0
+ Revision: 442325
- rebuild

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.5.0-4mdv2009.1
+ Revision: 320167
- rebuild for new python

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.5.0-3mdv2009.0
+ Revision: 242456
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jun 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 34722
- import python-pam


* Sat Jun 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-1mdv2008.0
- initial mdv release 
